Package org.kapott.hbci.dialog

# Class HBCIProcessTanMedia

java.lang.Object
org.kapott.hbci.dialog.HBCIProcessTanMedia

All Implemented Interfaces:
  `HBCIProcess`

public class HBCIProcessTanMedia extends Object implements HBCIProcess
Kapselt die HBCI-Nachrichten zum Abruf der TAN-Medien.

## Constructor Summary

Constructors
Constructor
Description
`HBCIProcessTanMedia(boolean force)`
ct.

## Method Summary

Modifier and Type
Method
Description
`HBCIMsgStatus`
`execute(DialogContext ctx)`
Fuehrt die Dialoge mit der Bank aus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIProcessTanMedia

public HBCIProcessTanMedia(boolean force)
ct.

Parameters:
  `force` - true, wenn der Abruf der TAN-Medien forciert werden soll, auch wenn er eigentlich nicht noetig ist.

## Method Details

### execute

public HBCIMsgStatus execute(DialogContext ctx)
Description copied from interface: `HBCIProcess`
Fuehrt die Dialoge mit der Bank aus.

Specified by:
  `execute` in interface `HBCIProcess`
Parameters:
  `ctx` - der Dialog-Context.
Returns:
  der Ausfuehrungsstatus.
See Also:
  - `HBCIProcess.execute(org.kapott.hbci.dialog.DialogContext)`